%global		priority	65-2
%global		fontname	ipa-ex-gothic
%global		fontconf	%{priority}-%{fontname}.conf
%global		archiveversion	00102
%global		archivename	ipaexg%{archiveversion}

Name:		%{fontname}-fonts
Version:	001.02
Release:	1%{?dist}
Summary:	Japanese Gothic-typeface OpenType font by IPA

Group:		User Interface/X
License:	IPA
URL:		http://ossipedia.ipa.go.jp/ipafont/
Source0:	http://info.openlab.ipa.go.jp/ipafont/fontdata/%{archivename}.zip
Source1:	%{name}-fontconfig.conf
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:	noarch
BuildRequires:	fontpackages-devel
Requires:	fontpackages-filesystem

%description
IPAex Font is a Japanese OpenType fonts that is JIS X 0213:2004
compliant, provided by Information-technology Promotion Agency, Japan.

This package contains Gothic (sans-serif) style font.

%prep
%setup -q -n %{archivename}
iconv -f sjis -t utf-8 Readme_%{archivename}.txt > Readme_%{archivename}.utf8.txt
touch -r Readme_%{archivename}.txt Readme_%{archivename}.utf8.txt

%build

%install
rm -rf $RPM_BUILD_ROOT

install -m 0755 -d $RPM_BUILD_ROOT%{_fontdir}
install -m 0644 -p *.ttf $RPM_BUILD_ROOT%{_fontdir}

install -m 0755 -d	$RPM_BUILD_ROOT%{_fontconfig_templatedir}	\
			$RPM_BUILD_ROOT%{_fontconfig_confdir}
install -m 0644 -p	%{SOURCE1}	\
			$RPM_BUILD_ROOT%{_fontconfig_templatedir}/%{fontconf}

ln -s	%{_fontconfig_templatedir}/%{fontconf}	\
	$RPM_BUILD_ROOT%{_fontconfig_confdir}/%{fontconf}

%clean
rm -rf $RPM_BUILD_ROOT


%_font_pkg -f %{fontconf} *.ttf

%doc Readme_%{archivename}.utf8.txt IPA_Font_License_Agreement_v1.0.txt


%changelog
* Fri May 28 2010 Akira TAGOH <tagoh@redhat.com> - 001.02-1
- New upstream release.

* Mon May 17 2010 Akira TAGOH <tagoh@redhat.com> - 001.01-3
- Add ja to check the locale.
- move iconv into %%prep.

* Tue Apr 20 2010 Akira TAGOH <tagoh@redhat.com> - 001.01-2
- Convert the document to utf-8.
- Get rid of binding="same" from the fontconfig config file.

* Mon Mar  1 2010 Akira TAGOH <tagoh@redhat.com> - 001.01-1
- Initial package.

